
import { randomElement } from '@util/random'

const adjectives = [
  'fresh',
  'royal',
  'unusual',
  'unstable',
  'excited',
  'exciting',
  'resplendent',
  'strange',
  'sleepy',
  'awakened',
  'majestic',
  'swift',
  'talented',
  'happy',
  'joyful',
  'stubborn',
  'sturdy',
  'grumpy',
  'virtual',
  'animated',
  'spectacular',
  'enlightened',
  'logical',
  'melodious',
  'vindicated',
  'fortuitous',
  'phenominal',
  'forunate',
  'needful',
  'forever',
  'impartial',
  'humble',
  'wealthy',
  'splendid',
  'flowing',
  'plush',
  'cute',
  'adorable',
  'shy',
  'rotund',
  'fluttery',
  'auspicious',
  'microscopic',
  'perky',
  'jazzy',
  'hidden',
  'hiding',
  'translucent',
  'inevitable',
  'defiant',
  'united',
  'serene',
  'calm',
  'prime',
  'heavy',
  'curious',
  'bright',
  'glowing',
  'perfect',
  'ecstatic',
  'musical',
  'long',
  'short',
  'eventful',
  'melodic',
  'soft',
  'bubbly',
  'spooky',
  'derpy',
  'funky',
  'huge',
  'massive',
  'orbital',
  'secret',
  'explosive',
  'silent',
  'glorious',
  'focused',
  'skittish',
  'honorable',
  'eternal',
  'mathematical',
  'triangular',
  'wondering',
  'algebraic',
  'computational',
  'transcendental',
  'transcendent',
  'engineered',
  'individual',
  'individualized',
  'individualistic',
  'unwavering',
  'harmonious',
  'fruitful',
  'natural',
  'bountiful',
  'weaving',
  'exceptional',
  'occasional',
  'outstanding',
  'magnificent',
  'rectangular',
  'intricate',
  'round',
  'magnetic',
  'unique',
  'your',
  'truthful',
  'invisible',
  'imagined',
  'authentic',
  'tragic',
  'honest',
  'homely',
  'expecting',
  'attractive',
  'lovely',
  'transient',
  'mutable',
  'immutable',
  'calculating',
  'meditative',
  'mindful',
  'geometric',
  'metallic',
  'dreaming',
  'befuddling',
  'formulaic',
  'digital',
  'fusion',
  'magic',
  'magical',
  'elegeant',
  'delectable',
  'sparkly',
  'dangerous',
  'flying',
  'soaring',
  'friendly',
  'whispering',
  'wispy',
  'wise',
  'brave',
  'strong',
  'powerful',
  'mechanical',
  'mechanized',
  'animalistic',
  'feral',
  'adjacent',
  'ancient',
  'historic',
  'different',
  'gripping',
  'pointy',
  'interesting',
  'inspiring',
  'inspirational',
  'obscure',
  'starry',
  'prickly',
  'mischievous',
  'elementary',
  'electrified',
  'chocolate',
  'persistent',
  'promised',
  'simulated',
  'artificial',
  'archaic',
  'proud',
  'solid',
  'undeniable',
  'delicious',
  'maganda',
  'suspended',
  'objective',
  'electronic',
  'interested',
  'articulate',
  'destined',
  'original',
  'episodic',
  'automatic',
  'uncertain',
  'marvelous',
  'enchanting',
  'dissolute',
  'robotic',
  'robust',
  'round',
  'peaceful',
  'similar',
  'wistful',
  'familiar',
  'ingenious',
  'ambient',
  'memorable',
  'humerous',
  'lucid',
  'retro',
  'clever',
  'symbolic',
  'symmetric',
  'poignant',
  'thoughtful',
  'accidental',
  'ostentatious',
  'personified',
  'unbelievable',
  'arriving',
  'nebulous',
  'miraculous',
  'migrating',
  'engaging',
  'hopeful',
  'purposeful',
  'satisfying',
  'optimistic',
  'entertaining',
  'determined',
  'adamant',
  'monotone',
  'entitled',
  'forceful',
  'sweet',
  'tender',
  'wild',
  'static',
  'encoded',
  'decoded',
  'radiant',
  'sentient',
  'symphonic',
  'atomic',
  'crimson',
  'sacred',
  'shiny',
  'brilliant',
  'abstract',
  'mystical',
  'mythical',
  'resolute',
  'mighty',
  'shapely',
  'shadowy',
  'insightful',
  'wishful',
  'enigmatic',
  'superb',
  'sharp',
  'fast',
  'dreamy',
  'heroic',
  'slender',
  'envisioned',
  'foretold',
  'prophesized',
  'emergent',
  'organic',
  'extreme',
  'pleasant',
  'beautiful',
  'tuneful',
  'unexpected',
  'expected',
  'surprising',
  'delightful',
  'stimulating',
  'intriguing',
  'polygonal',
  'pixelated',
  'quiet',
  'longing',
  'ambidextrous',
  'algorithmic',
  'procedural',
  'pleasing',
  'pleased',
  'stellar',
  'dextrous',
  'melodic',
  'jolly',
  'wonderful',
  'wonderous',
  'puzzling',
  'unlikely',
  'merciful',
  'pondering',
  'radical',
  'pretty',
  'special',
  'pontificating',
  'ethereal',
  'creative',
  'generated',
  'tenacious',
  'rasterized',
  'succulent',
  'specialty',
  'blooming',
  'quirky',
  'anticipated',
  'shining',
  'lazy',
  'small',
  'frivolous',
  'spiritual',
  'invariant',
  'golden',
  'silver',
  'shrouded',
  'endless',
  'absurd',
  'herbal',
  'stone',
  'still',
  'juicy',
  'jiggly',
  'little',
  'tiny',
]

const nouns = [
  'mouse',
  'mice',
  'bird',
  'fish',
  'ant',
  'cow',
  'sky',
  'wand',
  'absurdism',
  'absurdity',
  'island',
  'sailor',
  'gnome',
  'puffle',
  'antler',
  'feline',
  'pillow',
  'feather',
  'puff',
  'force',
  'mountain',
  'puffball',
  'algorithm',
  'event',
  'cloud',
  'wind',
  'willow',
  'quest',
  'bunny',
  'spear',
  'spell',
  'sound',
  'orb',
  'soup',
  'tanuki',
  'mindfulness',
  'enchantment',
  'engineer',
  'hurricane',
  'chocolate',
  'satellite',
  'wisdom',
  'chef',
  'matrix',
  'vector',
  'painting',
  'palace',
  'castle',
  'cookie',
  'cupcake',
  'cake',
  'delight',
  'lollipop',
  'whisper',
  'future',
  'past',
  'savior',
  'monument',
  'forest',
  'majesty',
  'owl',
  'fox',
  'sun',
  'night',
  'gear',
  'token',
  'totem',
  'dove',
  'heriarchy',
  'hummingbird',
  'imagination',
  'pyramid',
  'obelisk',
  'conflict',
  'promise',
  'giraffe',
  'hippo',
  'cave',
  'vine',
  'wine',
  'octopus',
  'kitchen',
  'chicken',
  'android',
  'whale',
  'snake',
  'gluon',
  'mice',
  'unity',
  'sunshine',
  'trigonometry',
  'automaton',
  'gazelle',
  'buffalo',
  'reality',
  'pony',
  'creature',
  'symbol',
  'symbolism',
  'dreamer',
  'radiance',
  'processor',
  'antelope',
  'thespian',
  'occasion',
  'symphony',
  'mirror',
  'robin',
  'flame',
  'candy',
  'candle',
  'geometry',
  'abstraction',
  'aspirations',
  'inspiration',
  'monster',
  'vagabond',
  'traveler',
  'rooster',
  'shadow',
  'destiny',
  'desert',
  'shade',
  'adoration',
  'doll',
  'sandwich',
  'optimism',
  'enigma',
  'raven',
  'bat',
  'athena',
  'weapon',
  'eagle',
  'dragon',
  'stone',
  'field',
  'unicorn',
  'shell',
  'heart',
  'judy',
  'pear',
  'peach',
  'raccoon',
  'dagger',
  'tower',
  'elf',
  'pie',
  'moon',
  'jupiter',
  'book',
  'animal',
  'tangent',
  'nova',
  'wonder',
  'fruit',
  'rat',
  'venus',
  'phobos',
  'mars',
  'game',
  'titan',
  'ether',
  'morty',
  'blade',
  'axe',
  'axis',
  'judge',
  'mercy',
  'resolve',
  'journey',
  'elizabeth',
  'oracle',
  'mission',
  'alliance',
  'spectacle',
  'pangolin',
  'strength',
  'anteater',
  'spartan',
  'object',
  'deer',
  'horse',
  'banana',
  'garden',
  'grapes',
  'gluon',
  'muon',
  'juice',
  'proton',
  'computron',
  'state',
  'teapot',
  'teacup',
  'lizard',
  'moose',
  'particle',
  'melody',
  'ectoplasm',
  'pumpkin',
  'sword',
  'ghost',
  'pixel',
  'friend',
  'music',
  'opera',
  'sparrow',
  'machine',
  'fox',
  'fiend',
  'person',
  'house',
  'lake',
  'river',
  'quark',
  'atom',
  'neutron',
  'vessel',
  'prince',
  'king',
  'princess',
  'wall',
  'wallflower',
  'paracosm',
  'visionary',
  'electron',
  'anomoly',
  'plasma',
  'queen',
  'star',
  'planet',
  'ship',
  'craft',
  'wave',
  'tsunami',
  'orange',
  'storm',
  'rabbit',
  'apple',
  'computer',
  'salamander',
  'swan',
  'frog',
  'photon',
  'tablet',
  'dream',
  'vision',
  'construct',
  'avenger',
  'ruler',
  'story',
  'key',
  'harmony',
  'puzzle',
  'constellation',
  'nothings',
  'stellerator',
  'generator',
  'reaction',
  'reactor',
  'pond',
  'dog',
  'wolf',
  'cat',
  'spider',
  'duck'
]

const generator = () => 
  `${randomElement(adjectives)}-${randomElement(nouns)}-${(Math.trunc(Math.random()*99999999)).toString(36)}`

export default generator
